"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
describe('error type', () => {
    it('string as type', () => {
        expect.assertions(1);
        const e1 = {
            type: 'e1',
        };
        expect(e1.type).toStrictEqual('e1');
    });
    it('object as type', () => {
        expect.assertions(2);
        const e1 = {
            type: 'e1',
        };
        expect(e1.type).toStrictEqual('e1');
        const e2 = {
            type: 'e1',
        };
        expect(e2.type).toStrictEqual('e1');
    });
    it('adds other parans to err', () => {
        expect.assertions(1);
        const e1 = {
            type: 'e1',
        };
        expect(e1.type).toStrictEqual('e1');
    });
    it('two objects', () => {
        expect.assertions(1);
        const e1 = {
            type: 'e1',
        };
        expect(e1.type).toStrictEqual('e1');
    });
});
describe('error utils', () => {
    it('is an error', () => {
        expect.assertions(3);
        expect((0, index_1.isErr)({ type: 'test' })).toBeTruthy();
        expect((0, index_1.isErr)({})).toBeFalsy();
        expect((0, index_1.isErr)(null)).toBeFalsy();
    });
    it('is an error of type', () => {
        expect.assertions(2);
        const o1 = { type: 'test' };
        if ((0, index_1.isErrType)('test', o1)) {
            expect(o1.type).toStrictEqual('test');
        }
        if ((0, index_1.isErrType)('test2', o1)) {
            expect(o1).toBeFalsy();
        }
        expect((0, index_1.isErrType)('test', {})).toBeFalsy();
    });
});
//# sourceMappingURL=err.js.map