import { Err } from './err';
import { Failure, Success } from './result';
export declare const isErr: <Error_1 = Err>(input: unknown) => input is Error_1 extends Err ? Error_1 : never;
export declare const isErrType: <Fail, Type extends string = string>(type: Type, input: Fail) => input is Fail extends {
    type: Type;
} ? Fail : never;
export declare const isHaveStatus: (input: unknown) => input is {
    status: 'error' | 'success';
};
export declare const isSuccessLike: <Data>(input: unknown) => input is Success<Data>;
export declare const isFailureLike: <Error_1>(input: unknown) => input is Failure<Error_1>;
export declare const isPromise: <Data>(data: Data) => data is Data extends Promise<any> ? Data : never;
//# sourceMappingURL=checks.d.ts.map